<template>
    <f7-page name="account" 
        @page:beforein="onPageBeforeIn">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false">
            <f7-nav-title>Account</f7-nav-title>
            <f7-nav-right>
                <f7-link @click="doLogout" href="#" icon-f7="exit" color="black" icon-only></f7-link>
            </f7-nav-right>
		</f7-navbar>

        <f7-block class="text-align-center">
            <div :data-initial-extra-large="initial(user.fullname)"></div>
            <h4>{{ user.fullname }}</h4>
            <span class="display-block">{{ user.organization.name }}</span>
        </f7-block>

        <f7-block>
            <f7-card class="no-margin">
                <f7-card-content class="text-align-center">
                    <f7-list media-list no-hairlines>
                        <f7-list-item
                            link="/account/edit/"
                            title="My Account">
                            <f7-icon slot="media" material="person_outline"></f7-icon>
                        </f7-list-item>
                        <f7-list-item
                            link="/account/histories/"
                            title="My History">
                            <f7-icon slot="media" material="history"></f7-icon>
                        </f7-list-item>
                    </f7-list>
                </f7-card-content>
            </f7-card>
        </f7-block>
    </f7-page>
</template>
<script>
import { mapGetters } from 'vuex';
import { initial } from '../js/utils';
export default {
    name: 'AccountPage',
    data(){
        return {};
    },
    computed: {
        ...mapGetters('auth', ['user'])
    },
    methods: {
        initial,
        onPageBeforeIn(){
            const self = this;
            const app = self.$f7;
            const $ = self.$$;

        },
        doLogout(){
            const self = this;
            const app = self.$f7;

            app.dialog.confirm('Are sure want to logout?', function(){
                app.preloader.show('red');

                self.$store.dispatch('auth/doLogout').then((response) => {
                    app.preloader.hide();
                });
            });
        }
    },

}
</script>
